import React from 'react'
import { Parallax } from "react-scroll-parallax";
import Slider from "react-slick";
import "slick-carousel/slick/slick.css";
import "slick-carousel/slick/slick-theme.css";
import Image from 'next/image';
import DrinkItem from '../menu/DrinkItem';

const HomeMonthly = () => {
  var drinkSlide = {
    dots: false,
    infinite: false,
    speed: 500,
    slidesToShow: 5,
    initialSlide: 0,
    responsive: [
      {
        breakpoint: 1524,
        settings: {
        slidesToShow: 4,
        slidesToScroll: 4,
        infinite: true,
        dots: false
        }
      },
      {
        breakpoint: 1024,
        settings: {
        slidesToShow: 3,
        slidesToScroll: 3,
        infinite: true,
        dots: false
        }
      },
      {
        breakpoint: 810,
        settings: {
        slidesToShow: 2,
        slidesToScroll: 2,
        initialSlide: 2
        }
      },
      {
        breakpoint: 480,
        settings: {
        slidesToShow: 1,
        slidesToScroll: 1
        }
      }
    ]
  };
  
  return (
    <Parallax speed={0}>
      <div className='w-full h-full bg-[#5F8670] rounded-t-3xl pb-20'>
        <div className='flex flex-col gap-4 py-5 sm:py-10 px-5 lg:px-10'>
          <p className='text-center md:text-start text-3xl lg:text-[50px] leading-none xl:text-6xl 2xl:text-[5vw] text-[#BACD92] uppercase font-semibold drop-shadow-[0_3px_3px_rgba(105,105,105,1)]'>Coffee and Drinks</p>
          <p className='w-full md:w-[500px] lg:w-[600px] text-center md:text-start text-base lg:text-lg xl:text-xl text-white'>Enjoy a selection of freshly made coffee and drinks available in a range of delightful flavors.</p> 
        </div>
        <div className='py-2 sm:py-10 px-10'>
          <Slider arrows={false} {...drinkSlide}>
            <div className='px-2'> 
              <DrinkItem/>
            </div>
            <div className='px-2'> 
              <DrinkItem/>
            </div>
            <div className='px-2'> 
              <DrinkItem/>
            </div>
            <div className='px-2'> 
              <DrinkItem/>
            </div>
            <div className='px-2'> 
              <DrinkItem/>
            </div>
          </Slider>
        </div>
      </div>
    </Parallax>
  )
}

export default HomeMonthly